<?php

class cProductotag{





	function insertarmodelo($cat_id,$modelo){

		$sql = "INSERT INTO tb_productomodelo(

		`tb_catalogo_id` ,

		`tb_productomodelo_nom` 

		)

		VALUES ('$cat_id','$modelo');"; 

		$oCado = new Cado();

		$rst=$oCado->ejecute_sql($sql);

		return $rst;	

	}

	

	function mostrar_modelos($cat_id){

		$sql = "select * from tb_productomodelo

		where tb_catalogo_id = '$cat_id' and tb_productomodelo_xac = 1"; 

		$oCado = new Cado();

		$rst=$oCado->ejecute_sql($sql);

		return $rst;	

	}

	

	function eliminar_modelo($promod_id){

		$sql = "delete from  tb_productomodelo

		where tb_productomodelo_id = '$promod_id' "; 

		$oCado = new Cado();

		$rst=$oCado->ejecute_sql($sql);

		return $rst;	

	}

	

	

		function insertarmotor($cat_id,$motor){

		$sql = "INSERT INTO tb_productomotor(

		`tb_catalogo_id` ,

		`tb_productomotor_nom` 

		)

		VALUES ('$cat_id','$motor');"; 

		$oCado = new Cado();

		$rst=$oCado->ejecute_sql($sql);

		return $rst;	

	}

	

	function mostrar_motor($cat_id){

		$sql = "select * from tb_productomotor

		where tb_catalogo_id = '$cat_id' and tb_productomotor_xac = 1"; 

		$oCado = new Cado();

		$rst=$oCado->ejecute_sql($sql);

		return $rst;	

	}

	

	

		function eliminar_motor($promot_id){

		$sql = "delete from  tb_productomotor

		where tb_productomotor_id = '$promot_id' "; 

		$oCado = new Cado();

		$rst=$oCado->ejecute_sql($sql);

		return $rst;	

	}

	

	

	

	

		function insertarcaja($cat_id,$caja){

		$sql = "INSERT INTO tb_productocaja(

		`tb_catalogo_id` ,

		`tb_productocaja_nom` 

		)

		VALUES ('$cat_id','$caja');"; 

		$oCado = new Cado();

		$rst=$oCado->ejecute_sql($sql);

		return $rst;	

	}



	function mostrar_caja($cat_id){

		$sql = "select * from tb_productocaja

		where tb_catalogo_id = '$cat_id' and tb_productocaja_xac = 1"; 

		$oCado = new Cado();

		$rst=$oCado->ejecute_sql($sql);

		return $rst;	

	}

	

	

		function eliminar_caja($procaj_id){

		$sql = "delete from  tb_productocaja

		where tb_productocaja_id = '$procaj_id' "; 

		$oCado = new Cado();

		$rst=$oCado->ejecute_sql($sql);

		return $rst;	

	}

	

	

	

}

?>